SVNXMLSerializer (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.xml.SVNXMLSerializer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLSerializer

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.SVNXMLSerializer

All Implemented Interfaces:
  ContentHandler

public class SVNXMLSerializer
extends Object
implements ContentHandler

This implementation of ContentHandler can write XML contents to a specified output stream or writer.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNXMLSerializer(OutputStream os)` Creates a serializer to write XML contents to the specified output stream.
`SVNXMLSerializer(Writer writer)` Creates a serializer to write XML contents to the specified writer.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Handles CData characters.
`void` | `endDocument()` Writes a End Of Line marker to the output.
`void` | `endElement(String namespaceURI, String localName, String qName)` Closes the xml element.
`void` | `endPrefixMapping(String prefix)` Does nothing.
`void` | `flush()` Flushes written bytes.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Does nothing.
`void` | `processingInstruction(String target, String data)` Does nothing.
`void` | `setDocumentLocator(Locator locator)` Does nothing.
`void` | `skippedEntity(String name)` Does nothing.
`void` | `startDocument()` Starts xml document.
`void` | `startElement(String namespaceURI, String localName, String qName, Attributes atts)` Starts an xml element.
`void` | `startPrefixMapping(String prefix, String uri)` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNXMLSerializer

    public SVNXMLSerializer(OutputStream os)

  Creates a serializer to write XML contents to the specified output stream.

Parameters:
  `os` - an output stream to write contents to

### SVNXMLSerializer

    public SVNXMLSerializer(Writer writer)

  Creates a serializer to write XML contents to the specified writer.

Parameters:
  `writer` - a writer to write contents to

Method Detail

### flush

    public void flush()
               throws IOException

  Flushes written bytes.

  Throws:
    `IOException`

### startDocument

    public void startDocument()
                       throws SAXException

  Starts xml document.

  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

  Starts an xml element.

  Specified by:
    `startElement` in interface `ContentHandler`
  Parameters:
    `namespaceURI` -
    `localName` -
    `qName` -
    `atts` -
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Handles CData characters.

  Specified by:
    `characters` in interface `ContentHandler`
  Parameters:
    `ch` -
    `start` -
    `length` -
  Throws:
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String qName)
                    throws SAXException

  Closes the xml element.

  Specified by:
    `endElement` in interface `ContentHandler`
  Parameters:
    `namespaceURI` -
    `localName` -
    `qName` -
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Writes a End Of Line marker to the output.

  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Does nothing.

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Parameters:
    `ch` -
    `start` -
    `length` -
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Does nothing.

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Parameters:
    `prefix` -
  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Does nothing.

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Parameters:
    `name` -
  Throws:
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Does nothing.

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Parameters:
    `locator` -

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Does nothing.

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Parameters:
    `target` -
    `data` -
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Does nothing.

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Parameters:
    `prefix` -
    `uri` -
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.